# Generated by Django 3.2.12 on 2022-03-07 14:22

import django.db.models.deletion
from django.db import migrations, models

import privates.fields
import privates.storages


class Migration(migrations.Migration):
    dependencies = [
        ("zgw_consumers", "0014_auto_20211217_1557"),
    ]

    operations = [
        migrations.CreateModel(
            name="Certificate",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "label",
                    models.CharField(
                        help_text="Recognisable label for the certificate",
                        max_length=100,
                        verbose_name="label",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        choices=[
                            ("key_pair", "Key-pair"),
                            ("cert_only", "Certificate only"),
                        ],
                        help_text="Is this only a certificate or is there an associated private key?",
                        max_length=20,
                        verbose_name="type",
                    ),
                ),
                (
                    "public_certificate",
                    privates.fields.PrivateMediaFileField(
                        help_text="The content of the certificate",
                        storage=privates.storages.PrivateMediaFileSystemStorage(),
                        upload_to="ssl_certs_keys/%Y/%m/%d",
                        verbose_name="public certificate",
                    ),
                ),
                (
                    "private_key",
                    privates.fields.PrivateMediaFileField(
                        blank=True,
                        help_text="The content of the private key",
                        storage=privates.storages.PrivateMediaFileSystemStorage(),
                        upload_to="ssl_certs_keys/%Y/%m/%d",
                        verbose_name="private key",
                    ),
                ),
            ],
            options={
                "verbose_name": "certificate",
                "verbose_name_plural": "certificates",
            },
        ),
        migrations.AddField(
            model_name="service",
            name="client_certificate",
            field=models.ForeignKey(
                blank=True,
                help_text="The SSL/TLS certificate of the client",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="service_client",
                to="zgw_consumers.certificate",
            ),
        ),
        migrations.AddField(
            model_name="service",
            name="server_certificate",
            field=models.ForeignKey(
                blank=True,
                help_text="The SSL/TLS certificate of the server",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="service_server",
                to="zgw_consumers.certificate",
            ),
        ),
    ]
